/**
 * Copyright 2007 Steven Van Impe, Department Of Applied Mathematics And Computer Science, Ghent University
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package gausselim.pivoting;

import java.math.BigDecimal;
import java.math.MathContext;

/**
 * Pivoting method that does not pivot at all.
 * 
 * @author Steven Van Impe (steven.vanimpe@ugent.be)
 */
public class NoPivoting implements PivotingMethod {

	/**
	 * Perform pivoting.
	 * This method always chooses A(k,k) as the pivot element for step k.
	 */
	public int[] pivot(BigDecimal[][] a, BigDecimal[] b, int step, MathContext mc) {
		return new int[] {step, step};
	}
}
