/**
 * Copyright 2007 Steven Van Impe, Department Of Applied Mathematics And Computer Science, Ghent University
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package gausselim.systems;

import java.math.BigDecimal;
import java.math.MathContext;

/**
 * An all-zero system.
 * 
 * @author Steven Van Impe (steven.vanimpe@ugent.be)
 */
public class ZeroSystem implements ExampleSystem {

	/**
	 * Fill matrices A and b with zeros.
	 */
	public void fill(BigDecimal[][] a, BigDecimal[] b, MathContext mc) {
		for (int i = 0; i < a.length; i++) {
			for (int j = 0; j < a.length; j++)
				a[i][j] = new BigDecimal("0.0", mc);
			b[i] = new BigDecimal("0.0", mc);
		}
	}
}
